Skip navigation

Iphone 3G won't allow me to install Facebook

32581 Views 12 Replies Latest reply: Sep 12, 2013 8:41 AM by wolly981 RSS
mythbusters Level 1 Level 1 (0 points)
Currently Being Moderated
Sep 15, 2012 8:22 AM

Hi there.

 

 

Have an iphone 3G and wen to install the Facebook app from the app store. Wen I selected install app, it said that the iphone requires IOS 4.3.

 

I then plugged the phone into itunes and it said the phone was up to date (IOS 4.2.2 I think it said?). How can i install these apps, the same happened to Mypad and other apps i tried to install. Any advice would be much apprecaited
  • diesel vdub Level 7 Level 7 (20,675 points)
    Currently Being Moderated
    Sep 15, 2012 10:37 AM (in response to mythbusters)

    Well yeah... as the message states, the new Facebook apps requires iOS4.3 or higher.

    The latest version of iOS for the 3G is 4.2.1.

     

    Either install an old version of the app, it should already be on your device, or buy a newer device capable of using a newer version of iOS.

     

    Alternatively, use the mobile version of Facebook (in otherwords, access it via Safari or another browser).

  • KatieB. Level 1 Level 1 (0 points)
    Currently Being Moderated
    Sep 15, 2012 10:41 AM (in response to mythbusters)

    Yeah, as diesel said, you're trying to update an app that isnt supported by the iOS that you are running. I would just install an older version of the app, the web browsing version of facebook on your phone isn't as practical. Also, it's easier to pload pictures and stuff if you're already signed into an app compared to being signed in on the browser.

    Hope that helps.

  • Husky Mum Level 1 Level 1 (0 points)
    Currently Being Moderated
    Nov 21, 2012 9:08 AM (in response to KatieB.)

    How do I install an old version have tried allsorts but dont seem able to?

  • diesel vdub Level 7 Level 7 (20,675 points)
    Currently Being Moderated
    Nov 21, 2012 10:36 AM (in response to Husky Mum)

    The old version of the application must be in iTunes on the computer.

    From there it can be synced to the device.

  • D.Sensate Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 10, 2012 9:26 AM (in response to diesel vdub)

    I am having to deal with this situationas well.   However my local apps backup was overwritten with the latest versions before I rebuilt my 3g from factory default.  So all of my signed older versions were replaced with the latest version.  I used to play a number of games with my kids and my wife, but now cannot restore those older version that still worked fine with the 3g.

     

    What do I do now?

     

    (... and, no, I am not going to spend hundreds to purchase a new phone.  My 3g works just fine for my needs.)

     

    Thanks for any assistance.

  • diesel vdub Level 7 Level 7 (20,675 points)
    Currently Being Moderated
    Dec 10, 2012 10:08 AM (in response to D.Sensate)

    D.Sensate wrote:

     

    What do I do now?

    Find the old versions of the apps to install.

    They may still be on your computer, possibly in the recycling bin.

    Going forward, do not update apps on the computer.  they do not update automatically so the user must tell iTunes to download the updates.

  • D.Sensate Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 10, 2012 7:17 PM (in response to diesel vdub)

    Yes, I am aware that the replaced files might have been left in the recycle bin.  I am aware that I could try to cover the deleted files with a file/sector recovery tool.  I have checked.  They're not there.  There's no remnent of the files on the drive structure.

     

      I just want to be able to run the same version I've been running to be installed on my iphone again.  I had no idea at the time that itunes would download versions that weren't even compatible with the phone I had sync to the library.  This is a ridiculous oversight on Apples part.

     

      Sounds like I am going to be forced to jailbreak and seek out a bootleg just to use the apps I HAVE ALREADY PURCHASED on my phone again.  I've gone years now without jailbreaking and found the Apple products reliable and useful without EVER having to resort to questionable methods.  But now it seems I am left no choice in the matter. 

     

      If anyone from Apple is reading this thread,  There Is No Reason That You Cannot Offer Back Versions Of Apps That Your Customers Have CLEARLY Already Purchased.  The Itunes app store has had every consecutive version of apps that have been release and should be able to provide customers with functional copies of those apps in situations such as this.  Apple will NEVER get my money again if this is how they feel they can treat customers and the digital purchases they have on their accounts.

     

      Is there anyone that has found any real and legitimate method for installing the most recent app version compiled for a particular IOS release?  In my case, Iphone 3g 4.2.1?

     

    Thanks again for any assistance.

  • rbsg Level 1 Level 1 (0 points)
    Currently Being Moderated
    Dec 11, 2012 12:03 AM (in response to D.Sensate)

    D.Sensate, you are not alone. I feel the same way as you.

    It would be better if Apple made itunes recognizes your device and would allow you to redownload the last published version of an app that worked on your OS.  Essentially, if you miss a backup (or if a backup fails), you are SOL to get your app back, once the version for the newer OS's comes out. Apple thinks they are forcing me to upgrade to a newer iPhone.  What they are actually doing is guaranteeing that not only won't I buy another iPhone, but when I just bought a brand new PC--whereas I had been impressed with the iphone and considered going Mac this time--this left such a rotten taste in my mouth that they didn't (and won't) get another cent of my money.  Ever. Period.

  • martin vee Level 1 Level 1 (0 points)
    Currently Being Moderated
    Jan 13, 2013 12:33 PM (in response to diesel vdub)

    what? r u crazy ..... i paid 100€ for Navigon for iphone 3g  and i had ipad 3 , now navigon won't install on iphone 3g and u tell us to buy new iphone........ *** .... gave us ur money and we will buy new iphone ... we cannot change phone every year ....... u must make in appstore a section for apps with old ios ..... i have a discussion about this with apple employer about 2 months and i making a world wide claim to suing apple for this isue with help by samsung layers

  • madmaster32 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Feb 25, 2013 11:33 AM (in response to mythbusters)

    Got the exact same problem and would really appreciate some help.

  • DeeperImage Level 1 Level 1 (15 points)
    Currently Being Moderated
    Mar 24, 2013 4:00 AM (in response to madmaster32)

    Same problem here.  I am uterly disapointed with what Apple has done here. 

     

    I have two 3G phones that my kids use just for games, the wife and I have upgraded to newer devices and gave those to our kids to use.  Now because of 4.3 we cannot instally any apps on these perfectly working phones.   How can Apple not indentify that this is a 4.2.1 iOS and simply let you install from old Apps?

     

    <Edited By Host>

  • wolly981 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Sep 12, 2013 8:41 AM (in response to mythbusters)

    Hi there:

     

    I offer an unfortunate explanation:

     

    iPhone 3G cannot be upgraded to iOS version 4.3 or above because its brain (CPU) uses a certain set of instructions (its an ARM v6 CPU) and iOS 4.3 and above use a newer set of instructions (They have ARM v7 CPUs). Obviously the newer instructions cannot run on an older processor. Either that and/or the stuff in it isnt good enough for modern apps so its not apples fault. However, as mentioned, they should have a version of every app that is compatible for iPhone 3G or whatever else isnt supported if the app has been bought by you.

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.